## org.eclipse.datatools.sqltools.common.ui.util
Class ImageDescriptorRegistry

    java.lang.Object
      org.eclipse.datatools.sqltools.common.ui.util.ImageDescriptorRegistry

    public class ImageDescriptorRegistry

extends java.lang.Object

A registry that maps `ImageDescriptors` to `Image`.

Constructor Summary
`ImageDescriptorRegistry()` Creates a new image descriptor registry for the current or default display, respectively.
`ImageDescriptorRegistry(org.eclipse.swt.widgets.Display display)` Creates a new image descriptor registry for the given display.

Method Summary
`void` `dispose()` Disposes all images managed by this registry.
`org.eclipse.swt.graphics.Image` `get(org.eclipse.jface.resource.ImageDescriptor descriptor)` Returns the image associated with the given image descriptor.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageDescriptorRegistry

    public ImageDescriptorRegistry()

  Creates a new image descriptor registry for the current or default display, respectively.

### ImageDescriptorRegistry

    public ImageDescriptorRegistry(org.eclipse.swt.widgets.Display display)

  Creates a new image descriptor registry for the given display. All images managed by this registry will be disposed when the display gets disposed.

  Parameters:
    `display` - the display the images managed by this registry are allocated for

Method Detail

### get

    public org.eclipse.swt.graphics.Image get(org.eclipse.jface.resource.ImageDescriptor descriptor)

  Returns the image associated with the given image descriptor.

  Parameters:
    `descriptor` - the image descriptor for which the registry manages an image
  Returns:
    the image associated with the image descriptor or `null` if the image descriptor can't create the requested image.

### dispose

    public void dispose()

  Disposes all images managed by this registry.